AbstractGraphicsDrawingOrder (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.afp.goca

## Class AbstractGraphicsDrawingOrder

- java.lang.Object
- - org.apache.fop.afp.modca.AbstractAFPObject
  - - org.apache.fop.afp.goca.AbstractGraphicsDrawingOrder

- All Implemented Interfaces:
    Streamable, StructuredData
  Direct Known Subclasses:
    AbstractGraphicsCoord, GraphicsAreaBegin, GraphicsAreaEnd, GraphicsEndProlog, GraphicsImage, GraphicsSetCharacterSet, GraphicsSetFractionalLineWidth, GraphicsSetLineType, GraphicsSetLineWidth, GraphicsSetMix, GraphicsSetPatternSymbol, GraphicsSetProcessColor

      public abstract class AbstractGraphicsDrawingOrder
      extends AbstractAFPObject
      implements StructuredData

  A base GOCA drawing order

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `AbstractAFPObject.Category, AbstractAFPObject.Type`

  - ### Field Summary

    - ### Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `LOG, SF_CLASS, SF_HEADER_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractGraphicsDrawingOrder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Returns the short name of this GOCA object

    - ### Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `copySF, copySF, truncate, writeChunksToStream, writeObjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.fop.afp.StructuredData

      `getDataLength`

    - ### Methods inherited from interface org.apache.fop.afp.Streamable

      `writeToStream`

- - ### Constructor Detail

    - #### AbstractGraphicsDrawingOrder

          public AbstractGraphicsDrawingOrder()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns the short name of this GOCA object
      Returns:
        the short name of this GOCA object

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.